#!/bin/bash

# build amd64 and arm64 versions of dropshell, to:
# build/dropshell.amd64
# build/dropshell.arm64

set -e

# Build for amd64
echo "Building for amd64..."
cmake -B build_amd64 -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="-march=x86-64" .
cmake --build build_amd64 --target dropshell --config Release
mkdir -p build
cp build_amd64/dropshell build/dropshell.amd64

# Build for arm64
echo "Building for arm64..."
cmake -B build_arm64 -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="-march=armv8-a" -DCMAKE_SYSTEM_PROCESSOR=aarch64 -DCMAKE_C_COMPILER=aarch64-linux-gnu-gcc -DCMAKE_CXX_COMPILER=aarch64-linux-gnu-g++ .
cmake --build build_arm64 --target dropshell --config Release
mkdir -p build
cp build_arm64/dropshell build/dropshell.arm64

echo "Builds complete:"
ls -lh build/dropshell.*

